Package: org.grails.gradle.plugin.core

## [Groovy] Class IntegrationTestGradlePlugin

- org.grails.gradle.plugin.core.IntegrationTestGradlePlugin

- All Implemented Interfaces and Traits:
    org.gradle.api.Plugin

      @groovy.transform.CompileStatic
      class IntegrationTestGradlePlugin

  Gradle plugin for adding separate src/integration-test folder to hold integration tests Adds integrationTestCompile and integrationTestRuntime configurations that extend from testCompile and testRuntime

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `ideaIntegration`
    `java.lang.String` | `sourceFolderName`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `apply(org.gradle.api.Project project)`
    `` | `java.io.File[]` | `findIntegrationTestSources(org.gradle.api.Project project)`
    `` | `protected void` | `setClassesDirs(org.gradle.api.tasks.testing.Test integrationTestTask, org.gradle.api.tasks.SourceSet sourceSet)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### boolean ideaIntegration

    - #### java.lang.String sourceFolderName

  - ### Method Detail

    - #### @java.lang.Override void apply(org.gradle.api.Project project)

    - #### java.io.File[] findIntegrationTestSources(org.gradle.api.Project project)

    - #### protected void setClassesDirs(org.gradle.api.tasks.testing.Test integrationTestTask, org.gradle.api.tasks.SourceSet sourceSet)